Loading...
Searching...
No Matches
itk::GPURecursiveGaussianImageFilter< TInputImage, TOutputImage > Class Template Reference

`#include <itkGPURecursiveGaussianImageFilter.h>`

## Detailed Description

template<typename TInputImage, typename TOutputImage>
class itk::GPURecursiveGaussianImageFilter< TInputImage, TOutputImage >

GPU version of RecursiveGaussianImageFilter.

Author
  Denis P. Shamonin and Marius Staring. Division of Image Processing, Department of Radiology, Leiden, The Netherlands

Note
  This work was funded by the Netherlands Organisation for Scientific Research (NWO NRG-2010.02 and NWO 639.021.124).

See also
  RecursiveGaussianImageFilter

Definition at line 42 of file itkGPURecursiveGaussianImageFilter.h.

Inheritance diagram for itk::GPURecursiveGaussianImageFilter< TInputImage, TOutputImage >:
[legend]

## Public Types

using | ConstPointer = SmartPointer<const Self>
using | CPUSuperclass = RecursiveGaussianImageFilter<TInputImage, TOutputImage>
using | GPUSuperclass = GPUImageToImageFilter<TInputImage, TOutputImage, CPUSuperclass>
using | InputImageConstPointer = typename InputImageType::ConstPointer
using | InputImagePixelType = typename InputImageType::PixelType
using | InputImagePointer = typename InputImageType::Pointer
using | InputImageRegionType = typename InputImageType::RegionType
using | InputImageType = TInputImage
using | OutputImagePixelType = typename GPUSuperclass::OutputImagePixelType
using | OutputImageRegionType = typename GPUSuperclass::OutputImageRegionType
using | Pointer = SmartPointer<Self>
using | ScalarRealType = typename CPUSuperclass::ScalarRealType
using | Self = GPURecursiveGaussianImageFilter
Public Types inherited from itk::GPUInPlaceImageFilter< TInputImage, TOutputImage, RecursiveGaussianImageFilter< TInputImage, TOutputImage > >
using | ConstPointer
using | CPUSuperclass
using | GPUSuperclass
using | InputImageConstPointer
using | InputImagePixelType
using | InputImagePointer
using | InputImageRegionType
using | InputImageType
using | OutputImagePixelType
using | OutputImagePointer
using | OutputImageRegionType
using | OutputImageType
using | Pointer
using | Self
Public Types inherited from itk::GPUImageToImageFilter< TInputImage, TOutputImage, RecursiveGaussianImageFilter< TInputImage, TOutputImage > >
using | ConstPointer
using | InputImageConstPointer
using | InputImagePixelType
using | InputImagePointer
using | InputImageRegionType
using | InputImageType
using | OutputImageType
using | Pointer
using | Self
using | Superclass

## Public Member Functions

virtual const char * | GetClassName () const
| ITK_DISALLOW_COPY_AND_MOVE (GPURecursiveGaussianImageFilter)
| itkStaticConstMacro (InputImageDimension, unsigned int, TInputImage::ImageDimension)
| itkStaticConstMacro (OutputImageDimension, unsigned int, TOutputImage::ImageDimension)
Public Member Functions inherited from itk::GPUInPlaceImageFilter< TInputImage, TOutputImage, RecursiveGaussianImageFilter< TInputImage, TOutputImage > >
| ITK_DISALLOW_COPY_AND_MOVE (GPUInPlaceImageFilter)
| itkStaticConstMacro (InputImageDimension, unsigned int, TInputImage::ImageDimension)
Public Member Functions inherited from itk::GPUImageToImageFilter< TInputImage, TOutputImage, RecursiveGaussianImageFilter< TInputImage, TOutputImage > >
virtual bool | GetGPUEnabled () const
virtual void | GPUEnabledOff ()
virtual void | GPUEnabledOn ()
void | GraftOutput (DataObject *graft) override
| ITK_DISALLOW_COPY_AND_MOVE (GPUImageToImageFilter)
| itkStaticConstMacro (InputImageDimension, unsigned int, TInputImage::ImageDimension)
virtual void | SetGPUEnabled (bool _arg)
void | SetNumberOfWorkUnits (ThreadIdType _arg) override

## Static Public Member Functions

static Pointer | New ()
Static Public Member Functions inherited from itk::GPUImageToImageFilter< TInputImage, TOutputImage, RecursiveGaussianImageFilter< TInputImage, TOutputImage > >
static Pointer | New ()

## Protected Member Functions

void | GPUGenerateData () override
| GPURecursiveGaussianImageFilter ()
void | PrintSelf (std::ostream &os, Indent indent) const override
| ~GPURecursiveGaussianImageFilter () override=default
Protected Member Functions inherited from itk::GPUInPlaceImageFilter< TInputImage, TOutputImage, RecursiveGaussianImageFilter< TInputImage, TOutputImage > >
void | AllocateOutputs () override
| GPUInPlaceImageFilter ()=default
void | PrintSelf (std::ostream &os, Indent indent) const override
void | ReleaseInputs () override
| ~GPUInPlaceImageFilter () override=default
Protected Member Functions inherited from itk::GPUImageToImageFilter< TInputImage, TOutputImage, RecursiveGaussianImageFilter< TInputImage, TOutputImage > >
void | GenerateData () override
| GPUImageToImageFilter ()
void | PrintSelf (std::ostream &os, Indent indent) const override
| ~GPUImageToImageFilter () override=default

## Private Attributes

std::vcl_size_t | m_DeviceLocalMemorySize {}
std::vcl_size_t | m_FilterGPUKernelHandle {}

## Additional Inherited Members

Protected Attributes inherited from itk::GPUImageToImageFilter< TInputImage, TOutputImage, RecursiveGaussianImageFilter< TInputImage, TOutputImage > >
OpenCLKernelManager::Pointer | m_GPUKernelManager

## Member Typedef Documentation

## ConstPointer

template<typename TInputImage, typename TOutputImage>

using itk::GPURecursiveGaussianImageFilter< TInputImage, TOutputImage >::ConstPointer = SmartPointer<const Self>

Definition at line 53 of file itkGPURecursiveGaussianImageFilter.h.

## CPUSuperclass

template<typename TInputImage, typename TOutputImage>

using itk::GPURecursiveGaussianImageFilter< TInputImage, TOutputImage >::CPUSuperclass = RecursiveGaussianImageFilter<TInputImage, TOutputImage>

Definition at line 50 of file itkGPURecursiveGaussianImageFilter.h.

## GPUSuperclass

template<typename TInputImage, typename TOutputImage>

using itk::GPURecursiveGaussianImageFilter< TInputImage, TOutputImage >::GPUSuperclass = GPUImageToImageFilter<TInputImage, TOutputImage, CPUSuperclass>

Definition at line 51 of file itkGPURecursiveGaussianImageFilter.h.

## InputImageConstPointer

template<typename TInputImage, typename TOutputImage>

using itk::GPURecursiveGaussianImageFilter< TInputImage, TOutputImage >::InputImageConstPointer = typename InputImageType::ConstPointer

Definition at line 69 of file itkGPURecursiveGaussianImageFilter.h.

## InputImagePixelType

template<typename TInputImage, typename TOutputImage>

using itk::GPURecursiveGaussianImageFilter< TInputImage, TOutputImage >::InputImagePixelType = typename InputImageType::PixelType

Definition at line 71 of file itkGPURecursiveGaussianImageFilter.h.

## InputImagePointer

template<typename TInputImage, typename TOutputImage>

using itk::GPURecursiveGaussianImageFilter< TInputImage, TOutputImage >::InputImagePointer = typename InputImageType::Pointer

Definition at line 68 of file itkGPURecursiveGaussianImageFilter.h.

## InputImageRegionType

template<typename TInputImage, typename TOutputImage>

using itk::GPURecursiveGaussianImageFilter< TInputImage, TOutputImage >::InputImageRegionType = typename InputImageType::RegionType

Definition at line 70 of file itkGPURecursiveGaussianImageFilter.h.

## InputImageType

template<typename TInputImage, typename TOutputImage>

using itk::GPURecursiveGaussianImageFilter< TInputImage, TOutputImage >::InputImageType = TInputImage

Some convenient typedefs.

Definition at line 67 of file itkGPURecursiveGaussianImageFilter.h.

## OutputImagePixelType

template<typename TInputImage, typename TOutputImage>

using itk::GPURecursiveGaussianImageFilter< TInputImage, TOutputImage >::OutputImagePixelType = typename GPUSuperclass::OutputImagePixelType

Definition at line 63 of file itkGPURecursiveGaussianImageFilter.h.

## OutputImageRegionType

template<typename TInputImage, typename TOutputImage>

using itk::GPURecursiveGaussianImageFilter< TInputImage, TOutputImage >::OutputImageRegionType = typename GPUSuperclass::OutputImageRegionType

Superclass typedefs.

Definition at line 62 of file itkGPURecursiveGaussianImageFilter.h.

## Pointer

template<typename TInputImage, typename TOutputImage>

using itk::GPURecursiveGaussianImageFilter< TInputImage, TOutputImage >::Pointer = SmartPointer<Self>

Definition at line 52 of file itkGPURecursiveGaussianImageFilter.h.

## ScalarRealType

template<typename TInputImage, typename TOutputImage>

using itk::GPURecursiveGaussianImageFilter< TInputImage, TOutputImage >::ScalarRealType = typename CPUSuperclass::ScalarRealType

Definition at line 64 of file itkGPURecursiveGaussianImageFilter.h.

## Self

template<typename TInputImage, typename TOutputImage>

using itk::GPURecursiveGaussianImageFilter< TInputImage, TOutputImage >::Self = GPURecursiveGaussianImageFilter

Standard class typedefs.

Definition at line 49 of file itkGPURecursiveGaussianImageFilter.h.

## Constructor & Destructor Documentation

## GPURecursiveGaussianImageFilter()

template<typename TInputImage, typename TOutputImage>

itk::GPURecursiveGaussianImageFilter< TInputImage, TOutputImage >::GPURecursiveGaussianImageFilter | ( |  | ) |

protected

## ~GPURecursiveGaussianImageFilter()

template<typename TInputImage, typename TOutputImage>

itk::GPURecursiveGaussianImageFilter< TInputImage, TOutputImage >::~GPURecursiveGaussianImageFilter | ( |  | ) |

override protected default

## Member Function Documentation

## GetClassName()

template<typename TInputImage, typename TOutputImage>

virtual const char * itk::GPURecursiveGaussianImageFilter< TInputImage, TOutputImage >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

Reimplemented from itk::GPUInPlaceImageFilter< TInputImage, TOutputImage, RecursiveGaussianImageFilter< TInputImage, TOutputImage > >.

## GPUGenerateData()

template<typename TInputImage, typename TOutputImage>

void itk::GPURecursiveGaussianImageFilter< TInputImage, TOutputImage >::GPUGenerateData | ( |  | ) |

override protected virtual

Reimplemented from itk::GPUImageToImageFilter< TInputImage, TOutputImage, RecursiveGaussianImageFilter< TInputImage, TOutputImage > >.

## ITK_DISALLOW_COPY_AND_MOVE()

template<typename TInputImage, typename TOutputImage>

itk::GPURecursiveGaussianImageFilter< TInputImage, TOutputImage >::ITK_DISALLOW_COPY_AND_MOVE | ( | GPURecursiveGaussianImageFilter< TInputImage, TOutputImage > |  | ) |

## itkStaticConstMacro() [1/2]

template<typename TInputImage, typename TOutputImage>

itk::GPURecursiveGaussianImageFilter< TInputImage, TOutputImage >::itkStaticConstMacro | ( | InputImageDimension | ,
|  | unsigned int | ,
|  | TInputImage::ImageDimension | )

ImageDimension constants

## itkStaticConstMacro() [2/2]

template<typename TInputImage, typename TOutputImage>

itk::GPURecursiveGaussianImageFilter< TInputImage, TOutputImage >::itkStaticConstMacro | ( | OutputImageDimension | ,
|  | unsigned int | ,
|  | TOutputImage::ImageDimension | )

## New()

template<typename TInputImage, typename TOutputImage>

Pointer itk::GPURecursiveGaussianImageFilter< TInputImage, TOutputImage >::New | ( |  | ) |

static

Method for creation through the object factory.

## PrintSelf()

template<typename TInputImage, typename TOutputImage>

void itk::GPURecursiveGaussianImageFilter< TInputImage, TOutputImage >::PrintSelf | ( | std::ostream & | os,
|  | Indent | indent ) const

override protected

## Field Documentation

## m_DeviceLocalMemorySize

template<typename TInputImage, typename TOutputImage>

std::vcl_size_t itk::GPURecursiveGaussianImageFilter< TInputImage, TOutputImage >::m_DeviceLocalMemorySize {}

private

Definition at line 89 of file itkGPURecursiveGaussianImageFilter.h.

## m_FilterGPUKernelHandle

template<typename TInputImage, typename TOutputImage>

std::vcl_size_t itk::GPURecursiveGaussianImageFilter< TInputImage, TOutputImage >::m_FilterGPUKernelHandle {}

private

Definition at line 88 of file itkGPURecursiveGaussianImageFilter.h.

Generated on 1768596610 for elastix by 1.15.0 |